> ### Hutool如何改变我们的coding方式
> 
> Hutool的目标是使用一个工具方法代替一段复杂代码，从而最大限度的避免“复制粘贴”代码的问题，彻底改变我们写代码的方式。
> 
> 以计算MD5为例：
> 
> - 【以前】打开百度 -> 搜“Java MD5加密” -> 打开某篇博客-> 复制粘贴 -> 改改好用
> - 【现在】引入Hutool -> SecureUtil.md5()
> 
> 同样，当我们想实现什么功能，脑袋中第一个想到的就是去找XXXUtil，而非百度。

　　[点击查看 Hutool 文档](https://hutool.cn/docs)

-------------------------------------------------------------------------------

## 说明
　　yue-library工具类部分基于hutool扩展构建，部分为迎合SpringBoot与yue-library框架需求所构建，功能完善强大覆盖更多场景使用。文档完善简单方便好用  
　　<font color=red>**此处只列举部分工具类说明**</font>，项目中需要用到更多工具类可查看 [javadoc文档](https://apidoc.gitee.com/yl-yue/yue-library/)

## MapUtils
　　用于操作Map对象，提供：判断、转换、排序、对象获取等功能

## ListUtils
　　用于操作List对象，这是一个新增工具类，特别适合搭配`data-jdbc`模板使用，提供：判断、转换、去重、排序、合并等功能

## ServletUtils
　　web项目常涉及Servlet部分操作，此工具类提供Servlet等相关功能的封装，操作起来更加方便简单
- 可直接获取：request、response、session
- 获取请求参数（包括文件体）
- 对Header与Cookie的操作
- 打印请求报文等

## ApplicationContextUtils
　　应用上下文工具类，用于在普通类中获取Spring容器Bean

## ParamUtils
　　参数处理工具类，用作参数确认与类型美化等场景。参数校验与类型转换参考：[Convert](base/介绍.md#类型转换器)、[validator](base/校验.md#validator)

## ArithCompute
　　数学技术工具类，由于Java的简单类型不能够精确的对浮点数进行运算，这个工具类提供精确的浮点数运算，包括加减乘除和四舍五入

## CaptchaUtils
　　验证码工具类，用于创建验证码图片与验证验证码。  
　　若需要分布式验证，推荐使用`data-redis`模板提供的`user.createCaptchaImage(CaptchaIPO)`方法